h1{
    width: 100%;
    text-align: center;
}

.return-to-invitation{
    display: inline-block;
    margin-left: 5%;
    margin-top: 2%;
    margin-bottom: 1rem;
    padding: 1rem;
    border: 1px solid;
}

.return-to-invitation .fa-solid{
    margin-right: 0.5rem;
    font-size: 1.2rem;
}

.return-to-invitation:hover{
    background-color: black;
    color: white;
    transition: 0.3s ease-in-out;
    border-radius: 10px;
    border: 1px solid black;
}

form{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
    padding-top: 2rem;
    padding-bottom: 2rem;
}

form label{
    width: 40%;
    font-size: 1.3rem;
    line-height: 2;
}


form button{
    padding: 1rem;
    font-size: 1.2rem;
    cursor: pointer;
    background-color: transparent;
    border: 1px solid;
}

form select{
    width: 40%;
    padding: 1rem 2rem;
    font-size: 1rem;
    border: 1px solid black;
    background-color: transparent;
    border-radius: 5px;
}

form button:hover{
    background-color: black;
    color: white;
    transition: 0.3s ease-in-out;
    border-radius: 10px;
}

form textarea{
    width: 40%;
    height: 250px;
    padding: 1rem;
    font-size: 1rem;
    border: 1px solid black;
    background-color: transparent;
    color: black;
    border-radius: 5px;
    resize: none;
}

.radio-container {
  display: flex;
  gap: 2rem;
  justify-content: center;
  margin: 1rem 0;
  font-family: "Georgia", serif;
}

.radio-container input[type="radio"] {
  display: none;
}

.radio-container label {
  cursor: pointer;
  padding: 0.6rem 1.4rem;
  text-align: center;
  border: 2px solid #000;
  border-radius: 30px;
  font-size: 1rem;
  color: #000;
  background-color: transparent;
  transition: all 0.3s ease;
}

.radio-container label:hover {
  border-color: black;
  color: white;
  background-color: black;
}

.radio-container input[type="radio"]:checked + label {
  background-color: black;
  color: #fff;
  border-color: black;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.419);
}



input[type="text"] {
  width: 100%;
  padding: 0.7rem 1rem;
  font-size: 1rem;
  color: #000;
  background-color: transparent;
  border: 2px solid #000;
  border-radius: 8px;
  outline: none;
  transition: all 0.3s ease;
  box-sizing: border-box;
}


input[type="text"]:focus {
  border-color: black; 
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.407);
}


input[type="text"]::placeholder {
  color: #535353;
  font-style: italic;
}


.adultsInputsContainer, .kidsInputsContainer{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
    width: 40%;
}

.adultsInputsContainer label, .kidsInputsContainer label{
    width: 100%;
}

.adult-container, .kid-container{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    width: 100%;
}


@media (max-width: 500px) {
    form textarea, .adultsInputsContainer, .kidsInputsContainer, form select{
        width: 90%;
    }

    form label{
        width: 90%;
    }
}